Permalink
Browse files

Bump refinerycms to 4.0.0

* Clean Gemfile
* Update version
* Update installer templates
* Update README
* Update Changelog
  • Loading branch information...
bricesanchez authored and parndt committed Aug 31, 2017
1 parent 798cf3a commit fd5cf5f2258e48b5f28b57149485a0803b28dc8b
Showing with 20 additions and 25 deletions.
  1. +1 −11 Gemfile
  2. +3 −2 changelog.md
  3. +1 −1 core/lib/refinery/version.rb
  4. +7 −3 readme.md
  5. +2 −2 refinerycms.gemspec
  6. +2 −2 templates/refinery/edge.rb
  7. +4 −4 templates/refinery/installer.rb
View
12 Gemfile
@@ -16,18 +16,8 @@ gem 'poltergeist', '>= 1.8.1'
# Add support for refinerycms-acts-as-indexed
gem 'refinerycms-acts-as-indexed', ['~> 3.0', '>= 3.0.0']
# TODO: remove this when refinerycms-i18n 4.0.0 will be released
gem 'refinerycms-i18n',
git: 'https://github.com/refinery/refinerycms-i18n',
branch: 'master'
# Add the default visual editor, for now.
gem 'refinerycms-wymeditor', ['~> 1.0', '>= 1.0.6'],
git: "https://github.com/parndt/refinerycms-wymeditor",
branch: "feature/rails-5"
gem 'refinerycms-wymeditor', ['~> 2.0', '>= 2.0.0']
# Database Configuration
unless ENV['TRAVIS']
View
@@ -1,7 +1,8 @@
## 4.0.0.dev [unreleased]
## 4.0.0 [unreleased]
* [See full list](https://github.com/refinery/refinerycms/compare/3-0-stable...master)
* Now supporting Rails 5.1. [#3122](https://github.com/refinery/refinerycms/pull/3122). [Brice Sanchez](https://github.com/bricesanchez) & [Philip Arndt](https://github.com/parndt) & [Remco Meinen](https://github.com/sjoulbak) & [Don Pinkster](https://github.com/donpinkster) & [Johan Bruning](https://github.com/johanb) & [Michael de Silva](https://github.com/bsodmike) & [Kiril Mitov](https://github.com/thebravoman) and everyone else who helped out!
* [See full list](https://github.com/refinery/refinerycms/compare/3.0.6...4.0.0)
## 3.0.6 [unreleased]
@@ -3,7 +3,7 @@ class Version
@major = 4
@minor = 0
@tiny = 0
@build = 'dev'
@build = nil
class << self
attr_reader :major, :minor, :tiny, :build
View
@@ -1,6 +1,6 @@
# Refinery CMS
__An open source content management system for Rails 4.2+__
__An open source content management system for Rails 5.1+__
More information at [http://refinerycms.com](http://refinerycms.com)
@@ -30,9 +30,13 @@ If you're new to Refinery, start with this guide:
* __[Getting Started](http://refinerycms.com/guides/getting-started)__
If you want to use `3-0-stable` branch of Refinery with Rails 4.2.x. Install using this template:
If you want to use `4-0-stable` branch of Refinery CMS which supports Rails 5.1+. Install using this template:
rails new app_name -m http://refinerycms.com/t/3-0-stable
rails new app_name -m http://refinerycms.com/t/4.0.0
If you want to use `3-0-stable` branch of Refinery CMS which supports Rails 4.2.x. Install using this template:
rails new app_name -m http://refinerycms.com/t/3.0.0
If you want to use `edge` branch of Refinery. Install using this template:
View
@@ -7,8 +7,8 @@ Gem::Specification.new do |s|
s.platform = Gem::Platform::RUBY
s.name = %q{refinerycms}
s.version = version
s.description = %q{A Ruby on Rails CMS that supports Rails 4.2. It's developer friendly and easy to extend.}
s.summary = %q{A Ruby on Rails CMS that supports Rails 4.2}
s.description = %q{A Ruby on Rails CMS that supports Rails 5.1. It's developer friendly and easy to extend.}
s.summary = %q{A Ruby on Rails CMS that supports Rails 5.1}
s.email = %q{refinerycms@p.arndt.io}
s.homepage = %q{http://refinerycms.com}
s.rubyforge_project = %q{refinerycms}
@@ -36,10 +36,10 @@
gem 'refinerycms-acts-as-indexed', ['~> 3.0', '>= 3.0.0']
# Add support for Refinery's custom fork of the visual editor WYMeditor.
gem 'refinerycms-wymeditor', ['~> 1.0', '>= 1.0.6']
gem 'refinerycms-wymeditor', ['~> 2.0', '>= 2.0.0']
# The default authentication adapter
gem 'refinerycms-authentication-devise', '~> 1.0'
gem 'refinerycms-authentication-devise', '~> 2.0'
"
end
@@ -1,6 +1,6 @@
require 'rbconfig'
VERSION_BAND = '3.0'
MINOR_VERSION_BAND = '3.0.0'
VERSION_BAND = '4.0'
MINOR_VERSION_BAND = '4.0.0'
# We want to ensure that you have an ExecJS runtime available!
begin
@@ -22,8 +22,8 @@
# Optionally, specify additional Refinery CMS Extensions here:
gem 'refinerycms-acts-as-indexed', ['~> 3.0', '>= 3.0.0']
gem 'refinerycms-wymeditor', ['~> 1.0', '>= 1.0.6']
gem 'refinerycms-authentication-devise', '~> 1.0'
gem 'refinerycms-wymeditor', ['~> 2.0', '>= 2.0.0']
gem 'refinerycms-authentication-devise', '~> 2.0'
# gem 'refinerycms-blog', ['~> #{VERSION_BAND}', '>= #{MINOR_VERSION_BAND}']
# gem 'refinerycms-inquiries', ['~> #{VERSION_BAND}', '>= #{MINOR_VERSION_BAND}']
# gem 'refinerycms-search', ['~> #{VERSION_BAND}', '>= #{MINOR_VERSION_BAND}']

0 comments on commit fd5cf5f

Please sign in to comment.